% environment where values are stored

\name{env.gui.ea}

\alias{env.gui.ea}

\title{
  Internal variable
}

\description{
  Internal variable where the evolutionary algorithm object is stored
}

\usage{
  env.gui.ea
}


\value{
  The result of the function \code{new.env(FALSE,NULL)}.
}

\note{
}

\references{
}

\author{
  Kurt Sys (\email{kurt.sys@rug.ac.be})
}

\seealso{
  environment, new.env
}

\keyword{
  environment
}

\examples{
}
\eof
% guis

\name{seperate guis}

\alias{genomestruc.gui}
\alias{newgen.gui}
\alias{nextgeneration.gui}
\alias{plotfitness.gui}
\alias{plotgene.gui}
\alias{save.ea.gui}

\title{
   Interactive windows for evolutionary algorithm functions.
}

\description{
  Set of functions which can be used as interface between user and
  evolutionary algorithm functions of package \code{seao}. 
}

\usage{
  genomestruc.gui()
  newgen.gui(ea=NULL)
  nextgeneration.gui(ea=NULL)
  plotfitness.gui(ea=NULL)
  plotgene.gui(ea=NULL)
  save.ea.gui(ea=NULL)
}

\arguments{
  \item{ea}{An object of type evoutionary algorithms. This
    contains the data to be plotted}
}

\details{
}


\references{
}

\author{
   Kurt Sys (\email{kurt.sys@rug.ac.be})
}

\seealso{
  \link[seao]{genomestruc}
  \link[seao]{newgen}
  \link[seao]{nextgen}
  \link[seao]{plotevolution.fit}
  \link[seao]{plotevolution.gene}
}

\keyword{
  GUI
}

\examples{
}
\eof
% seao.guistart

\name{seao.guistart}

\alias{seao.guistart}

\title{
  Overall graphical user interface
}

\description{
  Gives a GUI for the evolutionary algorithms functions (of package \code{seao)}.
}

\usage{
  seao.guistart()
}

\note{
}

\references{
}

\author{
  Kurt Sys (\email{kurt.sys@rug.ac.be})
}

\seealso{
}

\keyword{
  GUI
}

\examples{
}
\eof
% showvalues.gui

\name{showvalues.gui}

\alias{showvalues.gui}

\title{
  Internal function
}

\description{
  Small internal functions, which is actually the graphical interface
  (window) for showing fitnesses and alleles and editing the fitnesses
  of one generation.
}

\usage{
  showvalues.gui{ea=NULL, gen=NULL}
}

\arguments{
  \item{ea}{An object of type evoutionary algorithms. This
    contains the data to be plotted}
  \item{gen}{The generation to be shown and/or edited}
}

\details{
}


\references{
}

\author{
   Kurt Sys (\email{kurt.sys@rug.ac.be})
}

\seealso{
  \link{seao.guistart}
}

\keyword{
  GUI
}

\examples{
}
\eof
